
Redmine - Feature #1339

Comments on revisions

2008-05-31 11:20 - Daniel N

Status: New Start date: 2008-05-31

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

As described in the forum: Feature: Comments on revisions? - I think it would be great to have the ability to comment on revisions (or

commits). I would see this as an improvement in the collaboration between developers - for example comment the commiters coding

style or way of implementing something. This is of course somehow related to a discussion in the forum but I think having direct

comments (discussion) on tickets would be more intuitive.

Related issues:

Related to Redmine - Feature #2048: Code Review Module New 2008-10-18

Related to Redmine - Feature #1687: Ability to quote a patch in a comment New 2008-07-27

Has duplicate Redmine - Feature #2545: Revision Comments Closed

Has duplicate Redmine - Feature #3273: be able to comment on repostory checkins Closed 2009-04-30

Has duplicate Redmine - Feature #13278: It'd be nice to be able to comment on... Closed

History

#1 - 2011-01-18 06:57 - Toshi MARUYAMA

- Category set to SCM

#2 - 2011-11-11 06:35 - Jurgens du Toit

Any update / progress on this?

#3 - 2011-11-11 18:42 - Etienne Massip

- Target version set to Candidate for next major release

Would be a great addition.

#4 - 2012-06-06 13:42 - Radek Karban

+1

#5 - 2012-10-09 09:51 - Anonymous

+1

#6 - 2013-02-26 08:21 - Toshi MARUYAMA

Redmine Code Review Plugin has this feature.

http://www.r-labs.org/projects/r-labs/wiki/Code_Review_en

#7 - 2013-02-26 18:53 - Pavel Lautsevich

+1

#8 - 2013-02-26 19:47 - Pavel Lautsevich

+1

#9 - 2013-03-17 08:26 - Ivan Cenov

Toshi MARUYAMA wrote:

Redmine Code Review Plugin has this feature.

http://www.r-labs.org/projects/r-labs/wiki/Code_Review_en
 This plugin is very good solution. I think there is no need to implement other functionality for comments. Moreover, commits come with comments

from SCM.

-1

#10 - 2013-03-21 16:19 - Prof. Dr. YoMan

+1

I would love to see this bundled in redmine. Right now not having it (ok, plugin) is the only cause for me to install gitlab.

#11 - 2013-03-22 05:55 - Dipan Mehta

+1. This is really a good idea.

I would like to point out one thing: While this sounds like a close equivalent of "Code Review Plugin" it is certainly not.

1. Code Reviews are NOT limited to only 1 revision but could be for an entire set of Revisions

2. Code Review is a formal process - and usually it implies that code-reviews are done typically in a project's collective decisions, approvals and it

involves many people beyond developers!

3. Usually, "Code Review Assignments" registers an issue which then someone really have to attend, follow through its formal process, may be

include tests and so on.

4. At best "Comments on the Revisions" - are actually a poor replacements for the Code Review. - but that is the reason why they are very

important.

The reason why 'Comments on Revisions' is so important is that it allows informal communication between those involved without having to worry

about organization's other processes!

+1 This feature must be there as Redmine's ability.

#12 - 2015-10-23 16:23 - budo kaiman

+1

#13 - 2015-11-17 19:02 - Toshi MARUYAMA

- Description updated

#14 - 2015-11-17 19:04 - Toshi MARUYAMA

- Description updated

#15 - 2016-09-15 14:35 - Toshi MARUYAMA

- Related to Feature #1687: Ability to quote a patch in a comment added
